How to downgrade so xbmc works?

Since I made the mistake of updating the new version of atvflash I cant use xbmc. How can I get my atv2 back to when it was awesome. Now its fairly useless and why did FC not warn us?!

When I try to use the atv flash older version it wont let me unless I use the newest version…please help!

And telling me to take it up with the folks at xbmc is pretty unconstructive…fyi mods